summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2016-12-20 16:57:13 +0100
committerAlexis Ballier <aballier@gentoo.org>2016-12-20 16:57:33 +0100
commite4217749b07bb40fb703ae0375c7a8d2fd5547e2 (patch)
tree72f5c7bf8d7bc3daa1349f3224a38171ac08fa99 /dev-ml/eliom
parentmedia-video/griffith-0.13-r1: stable on amd64 (diff)
downloadgentoo-e4217749b07bb40fb703ae0375c7a8d2fd5547e2.tar.gz
gentoo-e4217749b07bb40fb703ae0375c7a8d2fd5547e2.tar.bz2
gentoo-e4217749b07bb40fb703ae0375c7a8d2fd5547e2.zip
dev-ml/eliom: bump to 6.1.0 and drop calendar dep.
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'dev-ml/eliom')
-rw-r--r--dev-ml/eliom/Manifest1
-rw-r--r--dev-ml/eliom/eliom-6.1.0.ebuild66
-rw-r--r--dev-ml/eliom/eliom-9999.ebuild1
3 files changed, 67 insertions, 1 deletions
diff --git a/dev-ml/eliom/Manifest b/dev-ml/eliom/Manifest
index 3b5090ee27e..65faa631594 100644
--- a/dev-ml/eliom/Manifest
+++ b/dev-ml/eliom/Manifest
@@ -1 +1,2 @@
DIST eliom-6.0.0.tar.gz 722673 SHA256 ec5636481be9cccc8256b13a5e551f6a8c32662e1c3211887a22eedf5c8958f9 SHA512 c59261bb6ba2303a7951de2e689abcb55af92b53a145d42054244d253b6757d72ba3f937772219b2b0aa5bccfe1a74baf62c938f40c1cce90720b6efe7be3b63 WHIRLPOOL e4f8c44c16dbc33c7576a117a25cb2f709a893ad82baa517fb2d5a776b0838affbef56aba84a977903c71d32987f3d16af485c5cf8dddd1cc39395025d996226
+DIST eliom-6.1.0.tar.gz 722881 SHA256 cc27c90dfae92db69f23c9d1301d67433d71c7b8d83cba7253dd7d9c41728dbc SHA512 ab389e8023de952f371209c5fe6863240214af559c4ae883dc9d3dc9f353afcc8e38292974c8c0a05c65213fe7dc0b350580c5c8647bba679a5ec0c44859621e WHIRLPOOL e4eeacc566db899ffbaab8dd58bf81dbb49ed18b27e4285669e809bc05232a4b212e0422e33580d40dbf1ec18f236e65ab09f790211693bfbf5882d269ea5137
diff --git a/dev-ml/eliom/eliom-6.1.0.ebuild b/dev-ml/eliom/eliom-6.1.0.ebuild
new file mode 100644
index 00000000000..cdb36d1e81a
--- /dev/null
+++ b/dev-ml/eliom/eliom-6.1.0.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils multilib findlib
+
+DESCRIPTION="A web framework to program client/server applications"
+HOMEPAGE="http://ocsigen.org/eliom/"
+
+if [ "${PV#9999}" != "${PV}" ] ; then
+ inherit git-r3
+ SRC_URI=""
+ EGIT_REPO_URI="https://github.com/ocsigen/eliom"
+ KEYWORDS=""
+else
+ SRC_URI="https://github.com/ocsigen/eliom/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64"
+fi
+
+LICENSE="LGPL-2.1-with-linking-exception"
+SLOT="0/${PV}"
+IUSE="doc +ocamlopt +ppx"
+
+RDEPEND=">=dev-lang/ocaml-4.03:=[ocamlopt?]
+ >=dev-ml/js_of_ocaml-2.8.2:=
+ >=www-servers/ocsigenserver-2.8:=
+ >=dev-ml/tyxml-4:=
+ >=dev-ml/deriving-0.6:=
+ >=dev-ml/reactiveData-0.2.1:=
+ dev-ml/ocaml-ipaddr:=
+ dev-ml/react:=
+ dev-ml/ocaml-ssl:=
+ >=dev-ml/lwt-2.5.0:=
+ dev-ml/camlp4:=
+ ppx? ( >=dev-ml/ppx_tools-0.99.3:= )"
+DEPEND="${RDEPEND}
+ dev-ml/ocamlbuild
+ dev-ml/opam"
+
+src_compile() {
+ if use ocamlopt ; then
+ emake PPX=$(usex ppx true false) all
+ else
+ emake PPX=$(usex ppx true false) byte
+ fi
+ use doc && emake doc
+ emake man
+}
+
+src_install() {
+ opam-installer \
+ --prefix="${ED}/usr" \
+ --libdir="${D}/$(ocamlc -where)" \
+ --docdir="${ED}/usr/share/doc/${PF}" \
+ --mandir="${ED}/usr/share/man" \
+ || die
+ dodoc CHANGES README.md
+ if use doc ; then
+ docinto client/html
+ dodoc -r _build/src/lib/client/api.docdir/*
+ docinto server/html
+ dodoc -r _build/src/lib/server/api.docdir/*
+ fi
+}
diff --git a/dev-ml/eliom/eliom-9999.ebuild b/dev-ml/eliom/eliom-9999.ebuild
index e8be0b7ca13..cdb36d1e81a 100644
--- a/dev-ml/eliom/eliom-9999.ebuild
+++ b/dev-ml/eliom/eliom-9999.ebuild
@@ -33,7 +33,6 @@ RDEPEND=">=dev-lang/ocaml-4.03:=[ocamlopt?]
dev-ml/react:=
dev-ml/ocaml-ssl:=
>=dev-ml/lwt-2.5.0:=
- dev-ml/calendar:=
dev-ml/camlp4:=
ppx? ( >=dev-ml/ppx_tools-0.99.3:= )"
DEPEND="${RDEPEND}